commit:     9c7ea61074b4e23608116ec465d83f3c236b6f69
Author:     Michal Rostecki <vadorovsky <AT> protonmail <DOT> com>
AuthorDate: Sat Aug 30 12:44:10 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct  3 01:10:20 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9c7ea610

net-p2p/arti: add 1.5.0

Signed-off-by: Michal Rostecki <vadorovsky <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/43607
Closes: https://github.com/gentoo/gentoo/pull/43607
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-p2p/arti/Manifest          |  2 ++
 net-p2p/arti/arti-1.5.0.ebuild | 65 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/net-p2p/arti/Manifest b/net-p2p/arti/Manifest
index faa09fa6f840..73fae753e583 100644
--- a/net-p2p/arti/Manifest
+++ b/net-p2p/arti/Manifest
@@ -2,3 +2,5 @@ DIST arti-1.4.2-crates.tar.xz 48304592 BLAKE2B 
79b996e60cd425d217aeab42c8e6fd239
 DIST arti-1.4.2.tar.bz2 4309898 BLAKE2B 
e18a4850c5de529a61ea0615f84b9611c8fba304e4f9b8798a07659c89bb4d1425b443cc72e92ea5820a3af15ca32f5bc1e1df6d05a8e038d17c73fc7cd5580b
 SHA512 
b402894c9402f83e68e1805ff1b99e684a5f946abd502313aac74dcbbc0812693dce74b2641507176f963cdafdcbf3ad919b1235e0f884b5f33106cce665579b
 DIST arti-1.4.6-crates.tar.xz 46536728 BLAKE2B 
cc936c3a6ea0119889c2381d84c7b40b40c214680e9c093dc10fc5d884572aac86607ab17bdac7a9d21ff66e2baf57270e0610d1ed80483c92742aae1b7a53f6
 SHA512 
4ea516372cc3ebad7c2105acbcfd1745e5cc6a8fbf961c51abe54c476698a4874e40f44f722f567a8a5a67b3d92d6b6569bce72e18cbb8fa7566bea7d76b8cb1
 DIST arti-1.4.6.tar.bz2 4515456 BLAKE2B 
0b877fb167cb7e986e93ed56511d71efd1f6e135cd0989e0a2c7b965ef1f97b1983dbbadb7744378bc06234c538cd78068b85f3db0a63c4140bc8e3bc1bc5626
 SHA512 
84ef931bbd74c3fe0a12ffaaa93ad9aa9930f1a5727b66a7436072ff6894b083a3edeb068bca0ad227f9adcbb54cd1453675cb5dac251eb4a3bcaa0292517fbd
+DIST arti-1.5.0-crates.tar.xz 46775504 BLAKE2B 
9fb8b9d96ceaca305bb00d8205f735ef223e6ab2a49205937d349ae5820342f576aa2b5f6c44166819e23efb70663e908f0eb1ecc255238dac3fb86ccb0615ae
 SHA512 
b33f791a3a239f41b708a907bad15a8750da2fbdc5a8e61affaf398fec4c3d54a353de8402ad1be8d20f53b742b43841f0243aff289748fd47d87dcf5841923e
+DIST arti-1.5.0.tar.bz2 4620829 BLAKE2B 
07b794d94331cc610f331b5805d86bcffacfdc3376582d3a1f1cc564486e9e249e555aa8a71eb398e7e5e771d4f088c745333e285486b2910cd647391604e770
 SHA512 
2472803d91aefc883a2af389529ac6e111484ffcfa24e733cbc3e91e9332bfe02bd9985301428a26403b7e083006a0b1bee858bb88ba75dfdc99dad2bc11b010

diff --git a/net-p2p/arti/arti-1.5.0.ebuild b/net-p2p/arti/arti-1.5.0.ebuild
new file mode 100644
index 000000000000..1e911ea9c1f2
--- /dev/null
+++ b/net-p2p/arti/arti-1.5.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES=""
+inherit cargo
+
+DESCRIPTION="Implementation of Tor in Rust"
+HOMEPAGE="https://tpo.pages.torproject.net/core/arti/ 
https://gitlab.torproject.org/tpo/core/arti/";
+
+if [[ "${PV}" == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://gitlab.torproject.org/tpo/core/arti";
+else
+       
SRC_URI="https://gitlab.torproject.org/tpo/core/${PN}/-/archive/${PN}-v${PV}/${PN}-${PN}-v${PV}.tar.bz2
 -> ${P}.tar.bz2"
+       SRC_URI+=" 
https://github.com/gentoo-crate-dist/arti/releases/download/${PN}-v${PV}/${P}-crates.tar.xz";
+       S="${WORKDIR}/${PN}-${PN}-v${PV}"
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 BSD Boost-1.0 CC0-1.0 ISC MIT MPL-2.0 openssl Unicode-3.0
+       Unlicense ZLIB
+"
+SLOT="0"
+
+DEPEND="app-arch/xz-utils
+       app-arch/zstd:=
+       dev-db/sqlite:3
+       dev-libs/openssl:="
+RDEPEND="${DEPEND}"
+
+QA_FLAGS_IGNORED="usr/bin/arti"
+
+src_unpack() {
+       if [[ "${PV}" == *9999 ]]; then
+               git-r3_src_unpack
+               cargo_live_src_unpack
+       else
+               cargo_src_unpack
+       fi
+}
+
+src_compile() {
+       export ZSTD_SYS_USE_PKG_CONFIG=1
+       for crate in crates/*; do
+               pushd "${crate}" || die
+               cargo_src_compile
+               popd >/dev/null || die
+       done
+}
+
+src_install() {
+       pushd crates/arti >/dev/null || die
+
+       cargo_src_install
+       newdoc src/arti-example-config.toml arti.toml
+
+       popd >/dev/null || die
+
+       dodoc -r doc/*
+}

Reply via email to